CAD Forum - tips, tricks, discussion and utilities for AutoCAD, Inventor and other Autodesk products []
Cesky English Deutsch
 Visitors: 3435 
Plex.Earth connects AutoCAD and Google Earth

CAD tip CAD tip # 9812:

Question CAD 
 %  platform  category 
Q - question

How to switch a drawing sheet from portrait to landscape orientation?

A - answer With as simple iLogic macro you can switch an existing Inventor drawing sheet from its "portrait" orientation to "landscape" or vice versa:

ThisApplication.ActiveDocument.ActiveSheet.Orientation = ThisApplication.ActiveDocument.ActiveSheet.Orientation - Sign(ThisApplication.ActiveDocument.ActiveSheet.Orientation-10242.5)
100% *  CAD 
7.5.2014    2896x  
Comments   Tell a friend
applies to: Inventor ·

See also:
Tip 11111:Inventor drawing diplays flipped, mirrored (as from underside)
Tip 10889:How to get user's full domain name, phone No., department, e-mail...
Tip 10852:iLogic - how to get part material and path from a drawing?
Tip 9561:iLogic macro for exporting IDW/DWG Inventor drawings to DXF.
Tip 9477:Saving a DWG copy of an IDW drawing named by revision number.

Back   All CAD Tips All CAD tips&tricks

Export text from DWG drawings to Excel. « | » How to suppress blueish highlight of selected objects?

Have we helped you? If you want to support the CAD Forum web service, consider buying one of our CAD applications, or our custom software development offerings, or donating via PayPal (see above). You may also add a link to your web - like this "fan" link: CAD Forum - tips, utilities, blocks for Autodesk products
CAD:    OS:    Categ: 
Text:  FAQ glossary   

DwgTextTranslator translates a series of drawings from one language to another using MS Access.
Download a fully functional trial version.

Please use these tips at your own risk.
CAD Studio (Xanadu) is not responsible for possible problems that may occur as a result of using any of these tips.